using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Animations;

public class AnimationController : MonoBehaviour
{
    protected bool animationRunning = false;
    [HideInInspector]
    public Animator animator;
    protected FiniteStateMachine fsm;
    void Awake()
    {
        fsm = transform.parent.GetComponent<FiniteStateMachine>();
        animator = GetComponent<Animator>();
        fsm.animationController = this;
    }
}
